Status: New Start date: 24 Oct 2012

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.25 hour

Description

The C++ STL offers a header file <iosfwd> which contains forward declarations of the types used for input/output (but without all the

template code that is needed for the definitions).

After the recent change regarding ConstRefRingElem (#261), I noticed that a similar mechanism could be useful inside CoCoALib.

The simplest solution is to have one file which gives forward declarations of as many types as possible; it may be better, though, to

group the types more finely (e.g. rings and their elements, PP monoids and their elements, ...)

We could start by looking to see which forward declarations we use most often.

Ideas?  Comments?  Suggestions?

History

#1 - 24 Oct 2012 18:25 - Anna Maria Bigatti

yes!  I'm not sure how easy/difficult it is going to be to group them: looking at the documentation page:

PPMonoid

ring

PolyRing?

modules

numbers?

homomorphisms?

groebner?

#2 - 01 Apr 2014 17:37 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#3 - 07 Apr 2014 18:14 - John Abbott

- Category set to Tidying

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-1.0
